[osm-tile-server] 43/70: Delete style.xml when removing package

Ruben Undheim rubund-guest at moszumanska.debian.org
Tue Nov 3 23:13:06 UTC 2015


This is an automated email from the git hooks/post-receive script.

rubund-guest pushed a commit to branch master
in repository osm-tile-server.

commit 9211287d0afd6487efaec4636981aee7c98e24c5
Author: Ruben Undheim <ruben.undheim at gmail.com>
Date:   Sat Sep 19 19:49:07 2015 +0200

    Delete style.xml when removing package
---
 debian/openstreetmap-carto.postrm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/debian/openstreetmap-carto.postrm b/debian/openstreetmap-carto.postrm
new file mode 100644
index 0000000..9c5bb71
--- /dev/null
+++ b/debian/openstreetmap-carto.postrm
@@ -0,0 +1,38 @@
+#!/bin/sh
+# postrm script for test
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+       rm -f /usr/share/openstreetmap-carto/style.xml
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/osm-tile-server.git



More information about the Pkg-grass-devel mailing list